Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javafe.ast
Class GeneratedTags

    java.lang.Object
      javafe.ast.GeneratedTags

Direct Known Subclasses:
  OperatorTags

public class GeneratedTags
extends java.lang.Object

Field Summary
`static int` | `AMBIGUOUSMETHODINVOCATION`
`static int` | `AMBIGUOUSVARIABLEACCESS`
`static int` | `ARRAYINIT`
`static int` | `ARRAYREFEXPR`
`static int` | `ARRAYTYPE`
`static int` | `ASSERTSTMT`
`static int` | `BLOCKSTMT`
`static int` | `BREAKSTMT`
`static int` | `CASTEXPR`
`static int` | `CATCHCLAUSE`
`static int` | `CLASSDECL`
`static int` | `CLASSDECLSTMT`
`static int` | `CLASSLITERAL`
`static int` | `COMPILATIONUNIT`
`static int` | `COMPOUNDNAME`
`static int` | `CONDEXPR`
`static int` | `CONSTRUCTORDECL`
`static int` | `CONSTRUCTORINVOCATION`
`static int` | `CONTINUESTMT`
`static int` | `DOSTMT`
`static int` | `ERRORTYPE`
`static int` | `EVALSTMT`
`static int` | `EXPROBJECTDESIGNATOR`
`static int` | `FIELDACCESS`
`static int` | `FIELDDECL`
`static int` | `FORMALPARADECL`
`static int` | `FORSTMT`
`static int` | `IFSTMT`
`static int` | `INITBLOCK`
`static int` | `INSTANCEOFEXPR`
`static int` | `INTERFACEDECL`
`static int` | `LABELSTMT`
`static int` | `LAST_TAG`
`static int` | `LOCALVARDECL`
`static int` | `METHODDECL`
`static int` | `METHODINVOCATION`
`static int` | `NEWARRAYEXPR`
`static int` | `NEWINSTANCEEXPR`
`static int` | `ONDEMANDIMPORTDECL`
`static int` | `PARENEXPR`
`static int` | `RETURNSTMT`
`static int` | `SIMPLENAME`
`static int` | `SINGLETYPEIMPORTDECL`
`static int` | `SKIPSTMT`
`static int` | `SUPEROBJECTDESIGNATOR`
`static int` | `SWITCHLABEL`
`static int` | `SWITCHSTMT`
`static int` | `SYNCHRONIZESTMT`
`static int` | `THISEXPR`
`static int` | `THROWSTMT`
`static int` | `TRYCATCHSTMT`
`static int` | `TRYFINALLYSTMT`
`static int` | `TYPENAME`
`static int` | `TYPEOBJECTDESIGNATOR`
`static int` | `VARDECLSTMT`
`static int` | `VARIABLEACCESS`
`static int` | `WHILESTMT`

Constructor Summary
`GeneratedTags()`

Method Summary
`static java.lang.String` | `toString(int tag)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPILATIONUNIT

    public static final int COMPILATIONUNIT

See Also:
  Constant Field Values

### SINGLETYPEIMPORTDECL

    public static final int SINGLETYPEIMPORTDECL

See Also:
  Constant Field Values

### ONDEMANDIMPORTDECL

    public static final int ONDEMANDIMPORTDECL

See Also:
  Constant Field Values

### CLASSDECL

    public static final int CLASSDECL

See Also:
  Constant Field Values

### INTERFACEDECL

    public static final int INTERFACEDECL

See Also:
  Constant Field Values

### CONSTRUCTORDECL

    public static final int CONSTRUCTORDECL

See Also:
  Constant Field Values

### METHODDECL

    public static final int METHODDECL

See Also:
  Constant Field Values

### INITBLOCK

    public static final int INITBLOCK

See Also:
  Constant Field Values

### LOCALVARDECL

    public static final int LOCALVARDECL

See Also:
  Constant Field Values

### FIELDDECL

    public static final int FIELDDECL

See Also:
  Constant Field Values

### FORMALPARADECL

    public static final int FORMALPARADECL

See Also:
  Constant Field Values

### BLOCKSTMT

    public static final int BLOCKSTMT

See Also:
  Constant Field Values

### SWITCHSTMT

    public static final int SWITCHSTMT

See Also:
  Constant Field Values

### ASSERTSTMT

    public static final int ASSERTSTMT

See Also:
  Constant Field Values

### VARDECLSTMT

    public static final int VARDECLSTMT

See Also:
  Constant Field Values

### CLASSDECLSTMT

    public static final int CLASSDECLSTMT

See Also:
  Constant Field Values

### WHILESTMT

    public static final int WHILESTMT

See Also:
  Constant Field Values

### DOSTMT

    public static final int DOSTMT

See Also:
  Constant Field Values

### SYNCHRONIZESTMT

    public static final int SYNCHRONIZESTMT

See Also:
  Constant Field Values

### EVALSTMT

    public static final int EVALSTMT

See Also:
  Constant Field Values

### RETURNSTMT

    public static final int RETURNSTMT

See Also:
  Constant Field Values

### THROWSTMT

    public static final int THROWSTMT

See Also:
  Constant Field Values

### BREAKSTMT

    public static final int BREAKSTMT

See Also:
  Constant Field Values

### CONTINUESTMT

    public static final int CONTINUESTMT

See Also:
  Constant Field Values

### LABELSTMT

    public static final int LABELSTMT

See Also:
  Constant Field Values

### IFSTMT

    public static final int IFSTMT

See Also:
  Constant Field Values

### FORSTMT

    public static final int FORSTMT

See Also:
  Constant Field Values

### SKIPSTMT

    public static final int SKIPSTMT

See Also:
  Constant Field Values

### SWITCHLABEL

    public static final int SWITCHLABEL

See Also:
  Constant Field Values

### TRYFINALLYSTMT

    public static final int TRYFINALLYSTMT

See Also:
  Constant Field Values

### TRYCATCHSTMT

    public static final int TRYCATCHSTMT

See Also:
  Constant Field Values

### CONSTRUCTORINVOCATION

    public static final int CONSTRUCTORINVOCATION

See Also:
  Constant Field Values

### CATCHCLAUSE

    public static final int CATCHCLAUSE

See Also:
  Constant Field Values

### ARRAYINIT

    public static final int ARRAYINIT

See Also:
  Constant Field Values

### THISEXPR

    public static final int THISEXPR

See Also:
  Constant Field Values

### ARRAYREFEXPR

    public static final int ARRAYREFEXPR

See Also:
  Constant Field Values

### NEWINSTANCEEXPR

    public static final int NEWINSTANCEEXPR

See Also:
  Constant Field Values

### NEWARRAYEXPR

    public static final int NEWARRAYEXPR

See Also:
  Constant Field Values

### CONDEXPR

    public static final int CONDEXPR

See Also:
  Constant Field Values

### INSTANCEOFEXPR

    public static final int INSTANCEOFEXPR

See Also:
  Constant Field Values

### CASTEXPR

    public static final int CASTEXPR

See Also:
  Constant Field Values

### PARENEXPR

    public static final int PARENEXPR

See Also:
  Constant Field Values

### AMBIGUOUSVARIABLEACCESS

    public static final int AMBIGUOUSVARIABLEACCESS

See Also:
  Constant Field Values

### VARIABLEACCESS

    public static final int VARIABLEACCESS

See Also:
  Constant Field Values

### FIELDACCESS

    public static final int FIELDACCESS

See Also:
  Constant Field Values

### AMBIGUOUSMETHODINVOCATION

    public static final int AMBIGUOUSMETHODINVOCATION

See Also:
  Constant Field Values

### METHODINVOCATION

    public static final int METHODINVOCATION

See Also:
  Constant Field Values

### CLASSLITERAL

    public static final int CLASSLITERAL

See Also:
  Constant Field Values

### EXPROBJECTDESIGNATOR

    public static final int EXPROBJECTDESIGNATOR

See Also:
  Constant Field Values

### TYPEOBJECTDESIGNATOR

    public static final int TYPEOBJECTDESIGNATOR

See Also:
  Constant Field Values

### SUPEROBJECTDESIGNATOR

    public static final int SUPEROBJECTDESIGNATOR

See Also:
  Constant Field Values

### ERRORTYPE

    public static final int ERRORTYPE

See Also:
  Constant Field Values

### TYPENAME

    public static final int TYPENAME

See Also:
  Constant Field Values

### ARRAYTYPE

    public static final int ARRAYTYPE

See Also:
  Constant Field Values

### SIMPLENAME

    public static final int SIMPLENAME

See Also:
  Constant Field Values

### COMPOUNDNAME

    public static final int COMPOUNDNAME

See Also:
  Constant Field Values

### LAST_TAG

    public static final int LAST_TAG

See Also:
  Constant Field Values

Constructor Detail

### GeneratedTags

    public GeneratedTags()

Method Detail

### toString

    public static java.lang.String toString(int tag)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage